﻿Namespace SpreadNETZetaCalculator
    Partial Public Class ZetaCalculatorForm
        Private components As System.ComponentModel.IContainer = Nothing

        Protected Overrides Sub Dispose(ByVal disposing As Boolean)
            If disposing AndAlso (components IsNot Nothing) Then
                components.Dispose()
            End If

            MyBase.Dispose(disposing)
        End Sub

        Private Sub InitializeComponent()
            Me.components = New System.ComponentModel.Container()
            Dim resources As System.ComponentModel.ComponentResourceManager = New System.ComponentModel.ComponentResourceManager(GetType(ZetaCalculatorForm))
            Me.panel1 = New System.Windows.Forms.Panel()
            Me.checkBoxFunctionInfo = New System.Windows.Forms.CheckBox()
            Me.buttonFilterRootsOnly = New System.Windows.Forms.Button()
            Me.formulaTextBox1 = New FarPoint.Win.Spread.FormulaTextBox()
            Me.buttonGoalSeek = New System.Windows.Forms.Button()
            Me.buttonCalculate = New System.Windows.Forms.Button()
            Me.textBoxIter = New System.Windows.Forms.TextBox()
            Me.label4 = New System.Windows.Forms.Label()
            Me.textBoxCount = New System.Windows.Forms.TextBox()
            Me.label3 = New System.Windows.Forms.Label()
            Me.textBoxIncrement = New System.Windows.Forms.TextBox()
            Me.label2 = New System.Windows.Forms.Label()
            Me.textBoxStart = New System.Windows.Forms.TextBox()
            Me.label1 = New System.Windows.Forms.Label()
            Me.fpSpread1 = New FarPoint.Win.Spread.FpSpread(FarPoint.Win.Spread.LegacyBehaviors.None, CType(resources.GetObject("resource1"), System.IO.MemoryStream))
            Me.fpSpread1_Sheet1 = Me.fpSpread1.GetSheet(0)
            Me.toolTip1 = New System.Windows.Forms.ToolTip(Me.components)
            Me.panel1.SuspendLayout()
            CType(Me.fpSpread1, System.ComponentModel.ISupportInitialize).BeginInit()
            Me.SuspendLayout()
            '
            'panel1
            '
            Me.panel1.Controls.Add(Me.checkBoxFunctionInfo)
            Me.panel1.Controls.Add(Me.buttonFilterRootsOnly)
            Me.panel1.Controls.Add(Me.formulaTextBox1)
            Me.panel1.Controls.Add(Me.buttonGoalSeek)
            Me.panel1.Controls.Add(Me.buttonCalculate)
            Me.panel1.Controls.Add(Me.textBoxIter)
            Me.panel1.Controls.Add(Me.label4)
            Me.panel1.Controls.Add(Me.textBoxCount)
            Me.panel1.Controls.Add(Me.label3)
            Me.panel1.Controls.Add(Me.textBoxIncrement)
            Me.panel1.Controls.Add(Me.label2)
            Me.panel1.Controls.Add(Me.textBoxStart)
            Me.panel1.Controls.Add(Me.label1)
            Me.panel1.Dock = System.Windows.Forms.DockStyle.Top
            Me.panel1.Location = New System.Drawing.Point(0, 0)
            Me.panel1.Name = "panel1"
            Me.panel1.Size = New System.Drawing.Size(847, 63)
            Me.panel1.TabIndex = 0
            '
            'checkBoxFunctionInfo
            '
            Me.checkBoxFunctionInfo.AutoSize = True
            Me.checkBoxFunctionInfo.Location = New System.Drawing.Point(12, 12)
            Me.checkBoxFunctionInfo.Name = "checkBoxFunctionInfo"
            Me.checkBoxFunctionInfo.Size = New System.Drawing.Size(129, 17)
            Me.checkBoxFunctionInfo.TabIndex = 12
            Me.checkBoxFunctionInfo.Text = "Use ZetaFunctionInfo"
            Me.toolTip1.SetToolTip(Me.checkBoxFunctionInfo, "Check this box to use the old FarPoint.CalcEngine.CalcFunction type to implement " &
        "the custom ZETA function instead of the new GrapeCity.CalcEngine.Function type.")
            Me.checkBoxFunctionInfo.UseVisualStyleBackColor = True
            '
            'buttonFilterRootsOnly
            '
            Me.buttonFilterRootsOnly.Enabled = False
            Me.buttonFilterRootsOnly.Location = New System.Drawing.Point(651, 37)
            Me.buttonFilterRootsOnly.Name = "buttonFilterRootsOnly"
            Me.buttonFilterRootsOnly.Size = New System.Drawing.Size(92, 22)
            Me.buttonFilterRootsOnly.TabIndex = 11
            Me.buttonFilterRootsOnly.Text = "Filter Roots Only"
            Me.toolTip1.SetToolTip(Me.buttonFilterRootsOnly, "Click this button to filter the rows in the spreadsheet to show only the root val" &
        "ues found, which are highlighted yellow.")
            Me.buttonFilterRootsOnly.UseVisualStyleBackColor = True
            '
            'formulaTextBox1
            '
            Me.formulaTextBox1.Location = New System.Drawing.Point(12, 37)
            Me.formulaTextBox1.Multiline = False
            Me.formulaTextBox1.Name = "formulaTextBox1"
            Me.formulaTextBox1.Size = New System.Drawing.Size(633, 19)
            Me.formulaTextBox1.TabIndex = 10
            Me.toolTip1.SetToolTip(Me.formulaTextBox1, "The formula in the active cell shows in this control and can be edited.")
            '
            'buttonGoalSeek
            '
            Me.buttonGoalSeek.Enabled = False
            Me.buttonGoalSeek.Location = New System.Drawing.Point(749, 37)
            Me.buttonGoalSeek.Name = "buttonGoalSeek"
            Me.buttonGoalSeek.Size = New System.Drawing.Size(92, 22)
            Me.buttonGoalSeek.TabIndex = 9
            Me.buttonGoalSeek.Text = "GoalSeek Root"
            Me.toolTip1.SetToolTip(Me.buttonGoalSeek, "Click this button to perform a custom goal seek on the selected root value to 9 d" &
        "ecimal places. You must select a root value in the spreadsheet to use this butto" &
        "n.")
            Me.buttonGoalSeek.UseVisualStyleBackColor = True
            '
            'buttonCalculate
            '
            Me.buttonCalculate.Location = New System.Drawing.Point(749, 12)
            Me.buttonCalculate.Name = "buttonCalculate"
            Me.buttonCalculate.Size = New System.Drawing.Size(92, 20)
            Me.buttonCalculate.TabIndex = 8
            Me.buttonCalculate.Text = "Calculate"
            Me.toolTip1.SetToolTip(Me.buttonCalculate, resources.GetString("buttonCalculate.ToolTip"))
            Me.buttonCalculate.UseVisualStyleBackColor = True
            '
            'textBoxIter
            '
            Me.textBoxIter.Location = New System.Drawing.Point(673, 12)
            Me.textBoxIter.Name = "textBoxIter"
            Me.textBoxIter.Size = New System.Drawing.Size(70, 20)
            Me.textBoxIter.TabIndex = 7
            Me.textBoxIter.Text = "10000"
            Me.toolTip1.SetToolTip(Me.textBoxIter, "Number of iterations to calculate convergent series.  Higher values result in gre" &
        "ater precision, but take longer to calcuate.")
            '
            'label4
            '
            Me.label4.AutoSize = True
            Me.label4.Location = New System.Drawing.Point(614, 13)
            Me.label4.Name = "label4"
            Me.label4.Size = New System.Drawing.Size(53, 13)
            Me.label4.TabIndex = 6
            Me.label4.Text = "Iterations:"
            '
            'textBoxCount
            '
            Me.textBoxCount.Location = New System.Drawing.Point(538, 11)
            Me.textBoxCount.Name = "textBoxCount"
            Me.textBoxCount.Size = New System.Drawing.Size(70, 20)
            Me.textBoxCount.TabIndex = 5
            Me.textBoxCount.Text = "1000"
            Me.toolTip1.SetToolTip(Me.textBoxCount, "Number of points to calculate along the critical line Re = 1/2.")
            '
            'label3
            '
            Me.label3.AutoSize = True
            Me.label3.Location = New System.Drawing.Point(494, 13)
            Me.label3.Name = "label3"
            Me.label3.Size = New System.Drawing.Size(38, 13)
            Me.label3.TabIndex = 4
            Me.label3.Text = "Count:"
            '
            'textBoxIncrement
            '
            Me.textBoxIncrement.Location = New System.Drawing.Point(419, 10)
            Me.textBoxIncrement.Name = "textBoxIncrement"
            Me.textBoxIncrement.Size = New System.Drawing.Size(69, 20)
            Me.textBoxIncrement.TabIndex = 3
            Me.textBoxIncrement.Text = "0.1"
            Me.toolTip1.SetToolTip(Me.textBoxIncrement, "Increment between successive values of ZETA calulated along the critical line Re " &
        "= 1/2.")
            '
            'label2
            '
            Me.label2.AutoSize = True
            Me.label2.Location = New System.Drawing.Point(356, 14)
            Me.label2.Name = "label2"
            Me.label2.Size = New System.Drawing.Size(57, 13)
            Me.label2.TabIndex = 2
            Me.label2.Text = "Increment:"
            '
            'textBoxStart
            '
            Me.textBoxStart.Location = New System.Drawing.Point(280, 10)
            Me.textBoxStart.Name = "textBoxStart"
            Me.textBoxStart.Size = New System.Drawing.Size(70, 20)
            Me.textBoxStart.TabIndex = 1
            Me.textBoxStart.Text = "14.0"
            Me.toolTip1.SetToolTip(Me.textBoxStart, "The initial value for the imaginary component of the first point to calculate alo" &
        "ng the critical line.")
            '
            'label1
            '
            Me.label1.AutoSize = True
            Me.label1.Location = New System.Drawing.Point(212, 14)
            Me.label1.Name = "label1"
            Me.label1.Size = New System.Drawing.Size(62, 13)
            Me.label1.TabIndex = 0
            Me.label1.Text = "Start Value:"
            '
            'fpSpread1
            '
            Me.fpSpread1.AccessibleDescription = "Book1"
            Me.fpSpread1.BackColor = System.Drawing.SystemColors.Control
            Me.fpSpread1.Dock = System.Windows.Forms.DockStyle.Fill
            Me.fpSpread1.Location = New System.Drawing.Point(0, 63)
            Me.fpSpread1.Name = "fpSpread1"
            Me.fpSpread1.RightToLeft = System.Windows.Forms.RightToLeft.No
            Me.fpSpread1.Size = New System.Drawing.Size(847, 387)
            Me.fpSpread1.TabIndex = 1
            '
            'ZetaCalculatorForm
            '
            Me.AutoScaleDimensions = New System.Drawing.SizeF(6.0!, 13.0!)
            Me.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font
            Me.ClientSize = New System.Drawing.Size(847, 450)
            Me.Controls.Add(Me.fpSpread1)
            Me.Controls.Add(Me.panel1)
            Me.Name = "ZetaCalculatorForm"
            Me.Text = "Spread.NET Zeta Calculator"
            Me.panel1.ResumeLayout(False)
            Me.panel1.PerformLayout()
            CType(Me.fpSpread1, System.ComponentModel.ISupportInitialize).EndInit()
            Me.ResumeLayout(False)

        End Sub

        Private panel1 As System.Windows.Forms.Panel
        Private WithEvents buttonCalculate As System.Windows.Forms.Button
        Private textBoxIter As System.Windows.Forms.TextBox
        Private label4 As System.Windows.Forms.Label
        Private textBoxCount As System.Windows.Forms.TextBox
        Private label3 As System.Windows.Forms.Label
        Private textBoxIncrement As System.Windows.Forms.TextBox
        Private label2 As System.Windows.Forms.Label
        Private textBoxStart As System.Windows.Forms.TextBox
        Private label1 As System.Windows.Forms.Label
        Private WithEvents fpSpread1 As FarPoint.Win.Spread.FpSpread
        Private fpSpread1_Sheet1 As FarPoint.Win.Spread.SheetView
        Private WithEvents buttonGoalSeek As System.Windows.Forms.Button
        Private formulaTextBox1 As FarPoint.Win.Spread.FormulaTextBox
        Private WithEvents buttonFilterRootsOnly As System.Windows.Forms.Button
        Private WithEvents checkBoxFunctionInfo As System.Windows.Forms.CheckBox
        Private toolTip1 As System.Windows.Forms.ToolTip
    End Class
End Namespace
